package oose.class_diagram;
import java.util.ArrayList;
import java.util.Collection;



public class PackagedProducts extends Product {
	private Collection<Product> products;
	
	public PackagedProducts() {
		this.products = new ArrayList<Product>();
	}
	
	public void add(Product p) {
		products.add(p);
	}

	public void addAll(Collection<Product> p) {
		products.addAll(p);
	}
	
	public float price() {
		float totalPrice = 0;
		for (Product p : products) {
			totalPrice += p.price();
		}
		if (products.size()<=1)
			return totalPrice;
		
		return totalPrice*0.90f;
	}
	
	public String specs() {
		String specs = super.specs();
		for (Product p : products) {
			specs += p.specs()+"\n";
		}
		return specs;
	}
}
