package oose.class_diagram;

public abstract class Specification {
	private String description;
	
	public Specification(String description) {
		this.description = description;
	}
	
	public String getDescription() {
		return description;
	}
	
	public final String getFullSpec() {
		return getDescription()+": "+valueAsString();
	}
	
	
	public abstract String valueAsString();
}
